EPICS Controls Argonne National Laboratory

Experimental Physics and
Industrial Control System

2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019  <20202021  2022  Index 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019  <20202021  2022 
<== Date ==> <== Thread ==>

Subject: Re: C++ standards discussion
From: Ralph Lange via Core-talk <core-talk at aps.anl.gov>
To: EPICS Core Talk <core-talk at aps.anl.gov>
Date: Fri, 2 Oct 2020 14:07:37 +0200
On Fri, 2 Oct 2020 at 13:45, Mark Rivers via Core-talk <core-talk at aps.anl.gov> wrote:
Requiring C++11 precludes the use of these operating systems:

- RHEL6/Centos6.  Dectris still ships Pilatus detectors with RHEL6, and we must run the EPICS IOC on that machine. It is also the only OS available for the marCCD detectors that are still in wide use at the APS and elsewhere.

Well, not really. It precludes using the default compiler on those systems.

RedHat provides newer gcc versions for RHEL as part of their "Developer Toolset" which is supported on RHEL6 up to version 8.1 (gcc 8.3.1).

Cheers,
~Ralph


References:
C++ standards discussion Timo Korhonen via Core-talk
Re: C++ standards discussion Mark Rivers via Core-talk

Navigate by Date:
Prev: Re: C++ standards discussion Mark Rivers via Core-talk
Next: Re: C++ standards discussion Konrad, Martin via Core-talk
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019  <20202021  2022 
Navigate by Thread:
Prev: Re: C++ standards discussion Mark Rivers via Core-talk
Next: Re: C++ standards discussion Konrad, Martin via Core-talk
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019  <20202021  2022 
ANJ, 02 Oct 2020 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·